// Gradients
// Horizontal gradient, from left to right
//
// Creates two color stops, start and end, by specifying a color and position for each color stop.
// Color stops are not available in IE9 and below.
@mixin horizontal($start-color: #555, $end-color: #333, $start-percent: 0%, $end-percent: 100%) {
    @include background(linear-gradient(to right, $start-color $start-percent, $end-color $end-percent));
    // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
    background-repeat: repeat-x;
}

// Vertical gradient, from top to bottom
//
// Creates two color stops, start and end, by specifying a color and position for each color stop.
// Color stops are not available in IE9 and below.
@mixin vertical($start-color: #555, $end-color: #333, $start-percent: 0%, $end-percent: 100%) {
    @include background(linear-gradient(to bottom, $start-color $start-percent, $end-color $end-percent));
    // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
    background-repeat: repeat-x;
}

@mixin directional($start-color: #555, $end-color: #333, $deg: 45deg) {
    background-repeat: repeat-x;
    @include background(linear-gradient($deg, $start-color, $end-color));
    // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
}

@mixin horizontal-three-colors($start-color: #00b3ee, $mid-color: #7a43b6, $color-stop: 50%, $end-color: #c3325f) {
    @include background(linear-gradient(to right, $start-color, $mid-color $color-stop, $end-color));
    background-repeat: no-repeat;
}

@mixin vertical-three-colors($start-color: #00b3ee, $mid-color: #7a43b6, $color-stop: 50%, $end-color: #c3325f) {
    @include background(linear-gradient($start-color, $mid-color $color-stop, $end-color));
    background-repeat: no-repeat;
}

@mixin radial($inner-color: #555, $outer-color: #333) {
    @include background(radial-gradient(circle, $inner-color, $outer-color));
    background-repeat: no-repeat;
}

@mixin striped($color: rgba(255, 255, 255, 0.15), $angle: 45deg) {
    @include background(linear-gradient($angle, $color 25%, transparent 25%, transparent 50%, $color 50%, $color 75%, transparent 75%, transparent));
}